Subject: Re: bug#13299: 24.3.50; Tramp adb and device not found

From: Michael Albinus <[email-masked]>
Date: Mon, 04 Feb 2013 15:38:26 +0100

[email-masked] writes:

> Hi Michael,

Hi,

> Sill having the same problems with Bzr revision: 111604.
>
> I have to kill adb from the command line in order to get Emacs to
> respond.
>
> Killing adb and then ^X^F/adb::/? a times finally gets Emacs to
> list the files.  But a subsequent ^X^F/adb::/? gets back to the
> same problem.

It would be great, if you could set `tramp-verbose' to 6 first. The
resulting debug buffer could show us, where Tramp is hangigng.

> (Of course, eventually getting it to works only happens if the
> drivers are loaded first.  Without the drivers, Emacs just locks up
> until adb is killed -- ^G or ^G^G^G doesn't work).

Which "drivers" are you speaking about? Sorry, I'm not an experienced
ADK user.

Best regards, Michael.